# Maintainer: tioguda <guda.flavio@gmail.com>

pkgname=ilovecandy
pkgver=0.2
pkgrel=3
url="https://wiki.manjaro.org/index.php/Progress_Bar_as_Pacman_Eating_Power_Pills#Showing_PacMan_Eating_Power_Pills"
arch=('any')
pkgdesc="Showing PacMan Eating Power Pills"
license=('none')
optdepends=('breeze: for KDE'
            'breeze-gtk: for GTK 2 and 3')
install=${pkgname}.install
source=("https://metainfo.manjariando.com.br/${pkgname}/com.${pkgname}.metainfo.xml"
        "https://metainfo.manjariando.com.br/${pkgname}/pacman"-{48,64,128}.png)
sha256sum=('675')

_ilovecandy_desktop="[Desktop Entry]
Version=1.0
Terminal=false
Type=Application
Name=
Exec=
Categories=Utility;
NoDisplay=true"

build() {
    cd "${srcdir}"
    echo -e "$_ilovecandy_desktop" | tee com.${pkgname}.desktop
}

package() {
    cd "${srcdir}"

    # Appstream
    install -Dm644 "${srcdir}/com.${pkgname}.metainfo.xml" "${pkgdir}/usr/share/metainfo/com.${pkgname}.metainfo.xml"
    install -Dm644 "${srcdir}/com.${pkgname}.desktop" \
        "${pkgdir}/usr/share/applications/com.${pkgname}.desktop"

    for i in 48 64 128; do
        install -Dm644 "${srcdir}/pacman-${i}.png" \
            "${pkgdir}/usr/share/icons/hicolor/${i}x${i}/apps/${pkgname}.png"
    done
}
md5sums=('b73649a35895bc6be2332d49abf0441b'
         'f4e35ba1f3d8f50f7b9c2b09c25cc954'
         '846be8f4aa11ea24476d98efd5d00dac'
         'd689be1f0366d9a59dfcdcf8827a2723')
